Class | Fog::Rackspace::Databases::Instance
In: | lib/fog/rackspace/models/databases/instance.rb
Parent: | Fog::Model

### Methods

databases destroy enable_root_user flavor ready? resize resize_volume restart root_user_enabled? save users

### Constants

ACTIVE | = | 'ACTIVE' |  | States
BUILD | = | 'BUILD'
BLOCKED | = | 'BLOCKED'
REBOOT | = | 'REBOOT'
RESIZE | = | 'RESIZE'
SHUTDOWN | = | 'SHUTDOWN'

### Attributes

root_password | [RW] |
root_user | [RW] |

### Public Instance methods

databases()
destroy()
enable_root_user()
flavor()
ready?()
resize(flavor_id)
resize_volume(volume_size)
restart()
root_user_enabled?()
save()
users()

[Validate]